<?php

function ws_contest_entry_scripts() {
	wp_enqueue_script('jquery');
	wp_enqueue_style( 'ws-contest-entry-css','//www.writerspace.com/contests/contest_entry/style.css' );
	wp_enqueue_style( 'awesome-font', 'https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css' );
	wp_enqueue_script( 'ws-contest-entry-fe-data-val','https://ajax.aspnetcdn.com/ajax/jquery.validate/1.14.0/jquery.validate.min.js' , array(), '1.14.0', true );
}
add_action( 'wp_enqueue_scripts', 'ws_contest_entry_scripts' );

// create form shortcode this also includes the form processing

function contestform( $atts ) { 
	
	$atts = shortcode_atts(
		array(
			'id' => '',
		), $atts );

	$mycid =$atts['id'];
	
	if( get_post( $mycid ) == ''){
		
		$msg = "No contest data";
		return $msg;
	}

	// get the contest ID
	$contest_id = get_post_meta($mycid,'ws_contest_id', true);
	$contest_url = ((!isset($_SERVER['HTTPS']) || !$_SERVER['HTTPS'] !== 'on') ? 'http' : 'https') . '://' . "{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";

	// start form
	ob_start();
	?>
	<div class='ws-form-container' id="form<?php echo $mycid; ?>">
		<p style="font-size:2em;text-align:center;padding:100px;"><i class="fa fa-cog fa-spin"></i> Loading</p>
	</div>

	<?php

	add_action( 'wp_footer', function() use ($contest_id, $contest_url) { ?>
	    
	 <script>

		// ajax / JSONP to get contest data
		jQuery(document).ready(function( $ ) {
			$.ajax({
		     url:"https://www.writerspace.com/contests/contest_entry/process/build-form.php?cid=<?php echo $contest_id; ?>&contest_url=<?php echo $contest_url; ?>",
		     dataType: 'jsonp', // Notice! JSONP <-- P (lowercase)
		     success:function(json){
		        // do stuff with json 
						$(".ws-form-container").html(json);
		     },
		     error:function(){
		     		console.log(json.error);
		     },
			});
		});

		</script>
	<?php
	} );

	return ob_get_clean();
}
add_shortcode( 'contestform', 'contestform' );
	